#ifndef __BSP_LED_H__
#define __BSP_LED_H__

#include <stdint.h>
#include "app_global.h"

typedef enum
{
    LED1 = 0,
    // LED2,
#if LED_RGB_ENABLE > 0
    RGB_RED,
    RGB_GREEN,
    RGB_BLUE,
#endif
    led_num
}led_type_enum;

/* led 组件 板级支持包 bsp */
void bsp_led_on(led_type_enum led_no);
void bsp_led_off(led_type_enum led_no);
void bsp_led_toggle(led_type_enum led_no);
uint8_t bsp_get_led_ttlState(led_type_enum led_no);
// void bsp_led1_init(void);
void bsp_led2_init(void);
void bsp_RGB_RedInit(void);
void bsp_RGB_GreenInit(void);
void bsp_RGB_BlueInit(void);

void bsp_changeBrightness_RGB_Red(uint8_t val);
void bsp_changeBrightness_RGB_Green(uint8_t val);
void bsp_changeBrightness_RGB_Blue(uint8_t val);
#endif

